/* This file is part of MUST (Marmot Umpire Scalable Tool)
 *
 * Copyright (C)
 *  2010-2016 ZIH, Technische Universitaet Dresden, Federal Republic of Germany
 *  2010-2018 Lawrence Livermore National Laboratories, United States of America
 *  2013-2018 RWTH Aachen University, Federal Republic of Germany
 *
 * See the LICENSE file in the package base directory for details
 */

/**
 * @file MustTypes.h
 *       @see MustTypes.
 *
 *  @date 20.05.2011
 *  @author Joachim Protze
 */

#include <stdint.h>

#ifndef MUSTTYPES_H
#define MUSTTYPES_H

/**
  * Type used for logical timestamps.
  */
typedef unsigned long MustLTimeStamp;

/**
 * Datatype used for MPI communicator handles.
 */
// TODO: think about negative values (especially for lb!) 
//           <-/-> MPI-2.2, 2.5.6 !!!

typedef int64_t MustAddressType;
//typedef long MustAddressType;
//typedef int64_t MustLBType;

/**
 * Datatype used for MPI request handles.
 */
typedef uint64_t MustRequestType;

/**
 * Datatype used for MPI datatype handles.
 */
typedef uint64_t MustDatatypeType;

/**
 * Datatype used for MPI operation handles.
 */
typedef uint64_t MustOpType;

/**
 * Datatype used for MPI key-value handles.
 */
typedef int MustKeyvalType;

/**
 * Datatype used for MPI communicator handles.
 */
typedef uint64_t MustCommType;

/**
 * Datatype used to represent MPI group handles.
 */
typedef uint64_t MustGroupType;

/**
 * Datatype used to represent MPI error handles.
 */
typedef uint64_t MustErrType;

/**
 * Datatype used to represent MPI error handles.
 */
typedef uint64_t MustRemoteIdType;

#endif /*MUSTTYPES_H*/
