/* This file is part of GTI (Generic Tool Infrastructure)
 *
 * Copyright (C)
 *  2008-2019 ZIH, Technische Universitaet Dresden, Federal Republic of Germany
 *  2008-2019 Lawrence Livermore National Laboratories, United States of America
 *  2013-2019 RWTH Aachen University, Federal Republic of Germany
 *
 * See the LICENSE file in the package base directory for details
 */

/**
 * @file gtiConfig.h
 *       Header with configuration defines.
 *
 *  @date 26.06.2012
 *  @author Joachim Protze
 */


#ifndef GTICONFIG_H
#define GTICONFIG_H

/* Define if mpi.h has MPI_Comm_create_errhandler() */
#define HAVE_MPI_COMM_CREATE_ERRHANDLER 1

/* Define if mpi.h has MPI_Comm_set_errhandler() */
#define HAVE_MPI_COMM_SET_ERRHANDLER 1

/* Define if mpi.h has MPI_Comm_spawn() */
#define HAVE_MPI_COMM_SPAWN 1

/* Define if mpi.h does not requires const correctness */
/* #undef HAVE_MPI_NO_CONST_CORRECTNESS */

/* Define if mpi.h makes MPI_Address const correct (a special const correctness case) */
#define HAVE_MPI_ADDRESS_CONST_CORRECT 1

/* Define if mpi.h makes MPI_Type_hindexed const correct (a special const correctness case) */
#define HAVE_MPI_TYPE_HINDEXED_CONST_CORRECT 1

/* Define if mpi.h makes MPI_Type_struct const correct (a special const correctness case) */
#define HAVE_MPI_TYPE_STRUCT_CONST_CORRECT 1

#define GTI_THREAD_SAFETY 1

#endif /* GTICONFIG_H */
